Reference record for OID 1.3.6.1.4.1.3582

Parent
1.3.6.1.4.1 (enterprise, enterprises, ldap-enterprise, vendor-objects)
Node code
3582
Node names
  • lsi
  • perc
  • lsiSwitchRegModule
Numeric OID
1.3.6.1.4.1.3582
URN notation
urn:oid:1.3.6.1.4.1.3582
Type
OBJECT IDENTIFIER
ASN.1 notation

{1 3 6 1 4 1 3582}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/3582
  • /ISO/Identified-Organization/6/1/4/1/3582
  • /ISO/3/6/1/4/1/3582
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/lsi
  • /iso/identified-organization/dod/internet/private/enterprise/perc
  • /iso/identified-organization/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/enterprises/lsi
  • /iso/identified-organization/dod/internet/private/enterprises/perc
  • /iso/identified-organization/dod/internet/private/enterprises/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsi
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/perc
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsi
  • /iso/identified-organization/dod/internet/private/vendor-objects/perc
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprise/lsi
  • /iso/org/dod/internet/private/enterprise/perc
  • /iso/org/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprises/lsi
  • Additional combinations skipped.

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

IANA Private Enterprise Numbers

LSI Logic

lsiSwitchRegModule — LSI SAS6160 MIB with qualified omitted root

This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.

Source records

lsiSwitchRegModule

Status in source: unspecified.

Names: lsiSwitchRegModule

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "lsiSwitchRegModule",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "ORGANIZATION",
    "\"LSI, Corp.\"",
    "CONTACT-INFO",
    "\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
    "DESCRIPTION",
    "\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
    "REVISION",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "DESCRIPTION",
    "\"Initial revision\"",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "201005120000Z"
    ],
    [
      "ORGANIZATION",
      "LSI, Corp."
    ],
    [
      "CONTACT-INFO",
      "Customer Technical Support LSI Corporation Web: www.lsi.com"
    ],
    [
      "DESCRIPTION",
      "This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
    ],
    [
      "Revisions",
      [
        [
          "201005120000Z",
          [
            "DESCRIPTION",
            "Initial revision"
          ]
        ]
      ]
    ]
  ]
}
  • LSI SAS6160 MIB with qualified omitted root · Publisher's source file: Source package: SNMPMIBs.zip

    Module: LSI-SAS6160-MIB

    Published definition
    lsiSwitchRegModule MODULE-IDENTITY
        LAST-UPDATED "201005120000Z"
        ORGANIZATION "LSI, Corp."
        CONTACT-INFO "Customer Technical Support
                      LSI Corporation
                      Web: www.lsi.com"
    
        DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
                     It maintains the high level portion of the LSI switch OID
                     tree, and is imported by all LSI switch MIBs.
    
                     Copyright (c) 2010 LSI Corporation."
    
        REVISION    "201005120000Z" -- 12 MAY 2010
        DESCRIPTION "Initial revision"
    
        ::= {enterprises 3582}
    Module imports
    {'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}

    Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.

    · Download LSI SAS6160 MIB — saved edition 1

    Related source files and packages:


    Source location: LSI-SAS6160-MIB::lsiSwitchRegModule.
    Source version and references

    The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes

    Downloaded: 2026-11-03T07:10:57.991843+00:00.

perc

Status in source: unspecified.

Names: perc

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "perc",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ]
}
  • Preserved mibdepot archive

    Module: RAID-Adapter-MIB

    Published definition
    perc OBJECT IDENTIFIER ::= { enterprises 3582 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}
    · Download Perc.mib.txt
    Source location: RAID-Adapter-MIB::perc.
    Source version and references

    Archived: 2026-10-19T00:22:08.972344+00:00.

Information from MIBdepot

Source file: Download MEGARAID.MIB.txt

File: lsi/MEGARAID.MIB.txt; 60,588 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

Information from Circitor

Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file

Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes

Related source files and packages:

Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file

Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from LibreNMS; 225,807 bytes

Vendor MIB copy from the LibreNMS archive.

Related source files and packages:

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes

Vendor MIB copy from the Observium Community archive.

Source file: Download RAID-Adapter-MIB.mib

Publisher path: Mibs; 60,628 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

First Registration Authority

Wisniewski Ken

Direct children (6)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.3582.1 percRAID, megaRaid1220
1.3.6.1.4.1.3582.2 lsiRAID192
1.3.6.1.4.1.3582.3 megaIDE185
1.3.6.1.4.1.3582.4 storageComponents1623
1.3.6.1.4.1.3582.5 lsiStorageComponents1471
1.3.6.1.4.1.3582.200 lsiSwitchFamily177

Siblings (67350)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.22401 2240100 VoIP, Inc.
1.3.6.1.4.1.22402 2240200 lois.inc
1.3.6.1.4.1.22403 2240300 Koch, Neff & Volckmar GmbH
1.3.6.1.4.1.22404 2240400 SBS Technologies
1.3.6.1.4.1.22405 2240500 Fujitsu Services Finland OY
1.3.6.1.4.1.22406 2240600 Adermiis
1.3.6.1.4.1.22407 2240700 NeoMeridian Sdn Bhd
1.3.6.1.4.1.22408 22408, primekey1193 PrimeKey Solutions AB
1.3.6.1.4.1.22409 2240900 Midland Memorial Hospital
1.3.6.1.4.1.22410 2241000 Pixel Technology
1.3.6.1.4.1.22411 2241100 Hawkis Consulting
1.3.6.1.4.1.22412 2241200 openenterprise.co.uk
1.3.6.1.4.1.22413 2241300 TheStreet.com Inc
1.3.6.1.4.1.22414 2241400 Pacific Lutheran University
1.3.6.1.4.1.22415 2241500 Mole Valley Farmers Ltd.
1.3.6.1.4.1.22416 2241600 Shelton Internet Ltd
1.3.6.1.4.1.22417 2241700 Information Design Department of Tama Art University
1.3.6.1.4.1.22418 2241800 USINA DE IMAGENS PHOTO+DESIGN LTDA.
1.3.6.1.4.1.22419 2241900 Relex, Inc.
1.3.6.1.4.1.22420 22420, accedianMIB52120 accedian, Inc.
1.3.6.1.4.1.22421 2242100 TSYS Prepaid, Inc.
1.3.6.1.4.1.22422 2242200 Provideo Systems Pty Ltd
1.3.6.1.4.1.22423 2242300 Almos Systems Pty Ltd.
1.3.6.1.4.1.22424 2242400 INTELSOFT
1.3.6.1.4.1.22425 2242500 Audio Processing Technology Ltd
1.3.6.1.4.1.22426 2242600 Digital Data Communications Asia Co., Ltd.
1.3.6.1.4.1.22427 2242700 Sowood & Co Ltd
1.3.6.1.4.1.22428 2242800 RealOps, Inc.
1.3.6.1.4.1.22429 2242900 Florical Systems, Inc.
1.3.6.1.4.1.22430 2243000 Volke Entwicklungsring GmbH
1.3.6.1.4.1.22431 2243100 Phoenix Interactive Design Inc
1.3.6.1.4.1.22432 2243200 Gimlitech
1.3.6.1.4.1.22433 2243300 Silvermedia Group
1.3.6.1.4.1.22434 2243400 NET TIME Corp.
1.3.6.1.4.1.22435 2243500 Beep Science AS
1.3.6.1.4.1.22436 2243600 Sumaré Consultores Associados Ltda.
1.3.6.1.4.1.22437 2243700 ITZ Informationstechnologie GmbH
1.3.6.1.4.1.22438 2243800 Groxis, Inc.
1.3.6.1.4.1.22439 2243900 CaseNEX
1.3.6.1.4.1.22440 2244000 Canadian Bank Note Company, Ltd.
1.3.6.1.4.1.22441 2244100 Next Dimension Inc.
1.3.6.1.4.1.22442 2244200 CHILE.COM S.A.
1.3.6.1.4.1.22443 2244300 EMETEC
1.3.6.1.4.1.22444 2244400 GASCARD Partners, L.P.
1.3.6.1.4.1.22445 2244500 Simon Holmgaard-IT
1.3.6.1.4.1.22446 2244600 SOFTWIN SRL
1.3.6.1.4.1.22447 2244700 B.Braun Melsungen AG
1.3.6.1.4.1.22448 2244800 Cluster-Worxx.net
1.3.6.1.4.1.22449 2244900 SOPA
1.3.6.1.4.1.22450 2245000 servicenetz.biz